Loading...
Searching...
No Matches
Transform3D.h File Reference
`#include <RDGeneral/export.h>`
`#include "Transform.h"`
`#include <Numerics/SquareMatrix.h>`

Go to the source code of this file.

## Classes

class | RDGeom::Transform3D

## Namespaces

namespace | RDGeom

## Functions

RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Transform3D | operator* (const RDGeom::Transform3D &t1, const RDGeom::Transform3D &t2)
| Combine two transforms and return the results as a new transform.
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point3D | operator* (const RDGeom::Transform3D &t, const RDGeom::Point3D &pt)
| Transform a point:

## Variables

const unsigned int | RDGeom::DIM_3D = 4

## Function Documentation

## operator*() [1/2]

RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point3D operator* | ( | const RDGeom::Transform3D & | t,
|  | const RDGeom::Point3D & | pt )

Transform a point:

References RDKIT_RDGEOMETRYLIB_EXPORT.

## operator*() [2/2]

RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Transform3D operator* | ( | const RDGeom::Transform3D & | t1,
|  | const RDGeom::Transform3D & | t2 )

Combine two transforms and return the results as a new transform.

The order is important here, on two transforms t1 and t2 t3 = t1*t2 The resulting transform t3 has the following effect t3(point) = t1(t2(point))

References RDKIT_RDGEOMETRYLIB_EXPORT.